{ ... }:
let
  defaultOptions = [ "compress=zstd" ];
in
{
  fileSystems."/media/nas/ssd/nix-app-data" = {
    device = "/dev/disk/by-uuid/09ac8b6b-e553-4cd8-ae62-8d8c17fe8b0c";
    fsType = "btrfs";
    options = [ "subvol=nix-app-data" ] ++ defaultOptions;
  };

  fileSystems."/media/nas/ssd/ssd_app_data" = {
    device = "/dev/disk/by-uuid/09ac8b6b-e553-4cd8-ae62-8d8c17fe8b0c";
    fsType = "btrfs";
    options = [ "subvol=ssd_app_data" ] ++ defaultOptions;
  };

  fileSystems."/media/nas/ssd/mariadb" = {
    device = "/dev/disk/by-uuid/09ac8b6b-e553-4cd8-ae62-8d8c17fe8b0c";
    fsType = "btrfs";
    options = [ "subvol=mariadb" ] ++ defaultOptions;
  };

  fileSystems."/media/nas/ssd/mongodb" = {
    device = "/dev/disk/by-uuid/09ac8b6b-e553-4cd8-ae62-8d8c17fe8b0c";
    fsType = "btrfs";
    options = [ "subvol=mongodb" ] ++ defaultOptions;
  };

  fileSystems."/media/nas/ssd/VMs" = {
    device = "/dev/disk/by-uuid/09ac8b6b-e553-4cd8-ae62-8d8c17fe8b0c";
    fsType = "btrfs";
    options = [ "subvol=VMs" ] ++ defaultOptions;
  };

  fileSystems."/media/nas/main/3d_printer" = {
    device = "/dev/disk/by-uuid/76e7cd98-3145-4cff-b78d-bab0206aae28";
    fsType = "btrfs";
    options = [ "subvol=3d_printer" ] ++ defaultOptions;
  };

  fileSystems."/media/nas/main/backup" = {
    device = "/dev/disk/by-uuid/76e7cd98-3145-4cff-b78d-bab0206aae28";
    fsType = "btrfs";
    options = [ "subvol=backup" ] ++ defaultOptions;
  };

  fileSystems."/media/nas/main/books" = {
    device = "/dev/disk/by-uuid/76e7cd98-3145-4cff-b78d-bab0206aae28";
    fsType = "btrfs";
    options = [ "subvol=books" ] ++ defaultOptions;
  };

  fileSystems."/media/nas/main/documents" = {
    device = "/dev/disk/by-uuid/76e7cd98-3145-4cff-b78d-bab0206aae28";
    fsType = "btrfs";
    options = [ "subvol=documents" ] ++ defaultOptions;
  };

  fileSystems."/media/nas/main/homeassistant" = {
    device = "/dev/disk/by-uuid/76e7cd98-3145-4cff-b78d-bab0206aae28";
    fsType = "btrfs";
    options = [ "subvol=homeassistant" ] ++ defaultOptions;
  };

  fileSystems."/media/nas/main/isos" = {
    device = "/dev/disk/by-uuid/76e7cd98-3145-4cff-b78d-bab0206aae28";
    fsType = "btrfs";
    options = [ "subvol=isos" ] ++ defaultOptions;
  };

  fileSystems."/media/nas/main/movies" = {
    device = "/dev/disk/by-uuid/76e7cd98-3145-4cff-b78d-bab0206aae28";
    fsType = "btrfs";
    options = [ "subvol=movies" ] ++ defaultOptions;
  };

  fileSystems."/media/nas/main/nextcloud" = {
    device = "/dev/disk/by-uuid/76e7cd98-3145-4cff-b78d-bab0206aae28";
    fsType = "btrfs";
    options = [ "subvol=nextcloud" ] ++ defaultOptions;
  };

  fileSystems."/media/nas/main/photos" = {
    device = "/dev/disk/by-uuid/76e7cd98-3145-4cff-b78d-bab0206aae28";
    fsType = "btrfs";
    options = [ "subvol=photos" ] ++ defaultOptions;
  };

  fileSystems."/media/nas/main/switch" = {
    device = "/dev/disk/by-uuid/76e7cd98-3145-4cff-b78d-bab0206aae28";
    fsType = "btrfs";
    options = [ "subvol=switch" ] ++ defaultOptions;
  };

  fileSystems."/media/nas/main/tv" = {
    device = "/dev/disk/by-uuid/76e7cd98-3145-4cff-b78d-bab0206aae28";
    fsType = "btrfs";
    options = [ "subvol=tv" ] ++ defaultOptions;
  };

  fileSystems."/media/nas/main/timemachine" = {
    device = "/dev/disk/by-uuid/76e7cd98-3145-4cff-b78d-bab0206aae28";
    fsType = "btrfs";
    options = [ "subvol=timemachine" ] ++ defaultOptions;
  };

  fileSystems."/run/mount/ssd" = {
    device = "/dev/mapper/ssd1";
    fsType = "btrfs";
  };

  fileSystems."/run/mount/main" = {
    device = "/dev/mapper/hdd1";
    fsType = "btrfs";
  };

  # fileSystems."/media/nas/junk/nextcloud-backup" = {
  #   device = "/dev/disk/by-uuid/11948951106919390044";
  #   fsType = "btrfs";
  #   options = [
  #     "subvol=nextcloud-backup"
  #   ]
  #   ++ defaultOptions;
  # };

  # fileSystems."/media/nas/main/vms" = {
  #   device = "/dev/disk/by-uuid/76e7cd98-3145-4cff-b78d-bab0206aae28";
  #   fsType = "btrfs";
  #   options = [
  #     "subvol=vms"
  #   ]
  #   ++ defaultOptions;
  # };
}
